

cd "C:"

use MLIRT.dta, clear
log using IRT.log, replace
set more off
gen cons=1
	
rename   q1 y1 
rename   q2 y2 
rename   q3 y3
rename   q4 y4 
rename   q5 y5 

 
reshape long y, i(id) j(item) 


forvalues num =1/5{
 gen i`num' =(item==`num') 
}

*Model1:GLLAMM:  model without factor loadings
gen obs=_n


gllamm y i1-i5, i(id class) link(logit)  family(binomial) noconstant adapt

estimate store m0
	

*Model2: GLLAMM: model with factor loadings at level-2 and level-3


eq load1: i1 i2 i3 i4 i5
eq load2:  i1 i2 i3 i4 i5

gllamm y i1 i2 i3 i4 i5, i(id class) link(logit)  family(binomial) noconstant eqs(load1 load2) adapt 

estimate store m1

*Model3: GLLAMM:  model with factor loadings at level-2 and level-3 set equal 


eq load: i1 i2 i3 i4 i5

constraint def 2 [id1_1l]i2 = [cla2_1l]i2
constraint def 3 [id1_1l]i3 = [cla2_1l]i3
constraint def 4 [id1_1l]i4 = [cla2_1l]i4
constraint def 5 [id1_1l]i5 = [cla2_1l]i5

gllamm y i1 i2 i3 i4 i5, i(id class) link(logit)  family(binomial) noconstant eqs(load load) constr(2/5) adapt trace

estimate store m2

















 
 
 

 
  

 
 
 
 
 






 
 
 
 
 
 
 
 


